com.fasterxml.jackson.dataformat.avro.schema

## Class RecordVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base
  - - com.fasterxml.jackson.dataformat.avro.schema.RecordVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor, SchemaBuilder

      public class RecordVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base
      implements SchemaBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.avro.Schema` | `_avroSchema`
    `protected List<org.apache.avro.Schema.Field>` | `_fields`
    `protected DefinedSchemas` | `_schemas`
    `protected com.fasterxml.jackson.databind.JavaType` | `_type`

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base

      `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordVisitor(com.fasterxml.jackson.databind.SerializerProvider p, com.fasterxml.jackson.databind.JavaType type, DefinedSchemas schemas)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.avro.Schema` | `builtAvroSchema()`
    `void` | `optionalProperty(com.fasterxml.jackson.databind.BeanProperty writer)`
    `void` | `optionalProperty(String name, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler, com.fasterxml.jackson.databind.JavaType type)`
    `void` | `property(com.fasterxml.jackson.databind.BeanProperty writer)`
    `void` | `property(String name, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler, com.fasterxml.jackson.databind.JavaType type)`
    `protected org.apache.avro.Schema` | `schemaForWriter(com.fasterxml.jackson.databind.BeanProperty prop)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base

      `getProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _type

          protected final com.fasterxml.jackson.databind.JavaType _type

    - #### _schemas

          protected final DefinedSchemas _schemas

    - #### _avroSchema

          protected org.apache.avro.Schema _avroSchema

    - #### _fields

          protected List<org.apache.avro.Schema.Field> _fields

  - ### Constructor Detail

    - #### RecordVisitor

          public RecordVisitor(com.fasterxml.jackson.databind.SerializerProvider p,
                       com.fasterxml.jackson.databind.JavaType type,
                       DefinedSchemas schemas)

  - ### Method Detail

    - #### builtAvroSchema

          public org.apache.avro.Schema builtAvroSchema()

      Specified by:
        `builtAvroSchema` in interface `SchemaBuilder`

    - #### property

          public void property(com.fasterxml.jackson.databind.BeanProperty writer)
                        throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `property` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `property` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### property

          public void property(String name,
                      com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler,
                      com.fasterxml.jackson.databind.JavaType type)
                        throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `property` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `property` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### optionalProperty

          public void optionalProperty(com.fasterxml.jackson.databind.BeanProperty writer)
                                throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `optionalProperty` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `optionalProperty` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### optionalProperty

          public void optionalProperty(String name,
                              com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler,
                              com.fasterxml.jackson.databind.JavaType type)
                                throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `optionalProperty` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `optionalProperty` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### schemaForWriter

          protected org.apache.avro.Schema schemaForWriter(com.fasterxml.jackson.databind.BeanProperty prop)
                                                    throws com.fasterxml.jackson.databind.JsonMappingException

      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2016 FasterXML. All rights reserved.